package com.ys.bdtp.adm.mvvm.ui.screen.login

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.tooling.preview.Preview

@Composable
fun LoginScreen() {
    Row(
        modifier = Modifier
            .fillMaxSize()
            .background(Color.White)
    ) {
        Column(modifier = Modifier.weight(3.0f)) {
            LoginSide()
        }
        Column(
            modifier = Modifier.weight(2.0f)
        ) {
            LoginContent()
        }
    }
}

@Preview(widthDp = 1137, heightDp = 711)
@Composable
fun PreviewLoginScreen() {
    LoginScreen()
}